Resource Center/Hardware/SAN Storage Operations/FC Storage Operations
PUTFC Storage OperationsSince 3.1.0SynchronousAuth Required
UpdateScsiLun
UpdateScsiLun
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updatescsilunObjectRequiredupdatescsilun request body object.
nameStringOptional. The resource name.
stateStringOptional. The state.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/storage-devices/scsi-lun/{uuid}/actions
/zstack/v1/storage-devices/scsi-lun/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/storage-devices/scsi-lun/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatescsilun":{"name":"<name>","state":"<state>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "test-scsi-lun", "uuid": "57cefcdc1746340ba1649c446059aea0", "wwid": "36b083fe000daf018000022905ba35d8f", "vendor": "DELL", "model": "MD32xx", "wwn": "0x6f01faf000d5c3e7", "serial": "6b083fe000daf018000015505abbe00a", "type": "mpath", "path": "pci-0000:05:00.0-fc-0x2012b083fedaf018-lun-11", "size": 5.49755813888E12, "scsiLunHostRefs": [ { "id": 1.0, "scsiLunUuid": "57cefcdc1746340ba1649c446059aea0", "hostUuid": "6e76dfbcc3b338c482ff51de1f0d76da", "createDate": "Nov 14, 2017 10:20:57 PM" } ], "scsiLunVmInstanceRefs": [], "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
